#clip {
	width: 720px;
	height: 100vh;
	margin: auto;
	text-align: center;
	font-size: 22px;
	display: flex;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flex;
	flex-flow: column wrap;
	flex-direction: column;
	items-align: center;
	justify-content: center;
}

#thevideo {
	min-width: 720px;
	height: 50vh;
	frameborder: 0;
	padding-bottom: 100px;
}

iframe {
	position:absolute;
	margin: auto;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	min-width: 720px;
	height: 452px;;
}

#videotext {
	width: 550px;
	margin: auto;
	padding-top: 25px;
}
